From: "Alfredo Tupone" <tupone@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-tcltk/tkimg/
Date: Sat, 14 Dec 2019 21:54:39 +0000 (UTC) [thread overview]
Message-ID: <1576360467.872f7207c94766b47f154865b623cd6d917981cc.tupone@gentoo> (raw)
commit: 872f7207c94766b47f154865b623cd6d917981cc
Author: Tupone Alfredo <tupone <AT> gentoo <DOT> org>
AuthorDate: Sat Dec 14 21:48:04 2019 +0000
Commit: Alfredo Tupone <tupone <AT> gentoo <DOT> org>
CommitDate: Sat Dec 14 21:54:27 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=872f7207
dev-tcltk/tkimg: Version bump to 1.4.9
Package-Manager: Portage-2.3.79, Repoman-2.3.16
Signed-off-by: Alfredo Tupone <tupone <AT> gentoo.org>
dev-tcltk/tkimg/Manifest | 1 +
dev-tcltk/tkimg/tkimg-1.4.9.ebuild | 102 +++++++++++++++++++++++++++++++++++++
2 files changed, 103 insertions(+)
diff --git a/dev-tcltk/tkimg/Manifest b/dev-tcltk/tkimg/Manifest
index ce77ff44bca..e5443095dbe 100644
--- a/dev-tcltk/tkimg/Manifest
+++ b/dev-tcltk/tkimg/Manifest
@@ -1,3 +1,4 @@
+DIST Img-1.4.9-Source.tar.gz 7702460 BLAKE2B 958956e786cea208f24a30532fa65914439d8289a4fce7dfa149e8202d1abe680bd8cb1cc5d8b3fb3e31d48bf5302db14977997f92ebaa786503138be872fa0b SHA512 c749a567de4eb2b9acc4d84344141ed8ba3703e4e22895d3fe0b292fe10bb0c09920cd765952fa1b95bfe8c0cb5e2955421c29bedaa07b7f3b36e7697a8f36c9
DIST Img-Source-1.4.7.tar.gz 7259144 BLAKE2B 48794a21564864c5b20953d1504acde5512be4aaa8db0834f63b15431af0bfa8bb2050f241e7b2d9b383480b59e17567f26f45c91e9f9a7fc58600cfe6ef6595 SHA512 6a395d6263e2f46151d0d3f5c6044d87a933617981200d2663328b8c7993b8a3aacba45568cee7aa2f5d8c8d020cb63956179aab5147d25d91b8834c0dfa4b9d
DIST tkimg-1.4-patchset-1.tar.xz 17956 BLAKE2B f6d3e5e5f258434bd02e21271357f2e2013ce7c90f2d1862e8e7ac0f1cf235d39b1713434a00261ec442c1843a70194b4d14081a5d4cec07c8ad6bf45bbf1db3 SHA512 bd20e0beaa224c42e856e6d44d86c2a5f04c28d096c561f44c4afcf8c821bf859c602156a9be60f23f906e8da2f43c89ca358d32e8f9497296e7c5a5bf23ed69
DIST tkimg-1.4.7-patchset-1.tar.xz 8208 BLAKE2B c2e6f5d6ef415c897cac33da4a003efec467312e844912e5a519cfb3ddf04ac5cac830eed05418ef74f931df2211c53c40669e53ce3bed219a7c2c714a398de5 SHA512 596c505db7f2ff40c786b83a018eba7f82718d350b6a601f8b93aa64fac238d6b8def603cd719f89fc526e5d2891a94b46de1a2ba628b8ff0ec80979892e28d8
diff --git a/dev-tcltk/tkimg/tkimg-1.4.9.ebuild b/dev-tcltk/tkimg/tkimg-1.4.9.ebuild
new file mode 100644
index 00000000000..2746c0ba15e
--- /dev/null
+++ b/dev-tcltk/tkimg/tkimg-1.4.9.ebuild
@@ -0,0 +1,102 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools eutils multilib prefix toolchain-funcs virtualx
+
+MYP=Img-${PV}-Source
+
+DESCRIPTION="Adds a lot of image formats to Tcl/Tk"
+HOMEPAGE="http://tkimg.sourceforge.net/"
+SRC_URI="mirror://sourceforge/${PN}/${PN}/1.4/${PN}%20${PV}/${MYP}.tar.gz
+ https://dev.gentoo.org/~tupone/distfiles/${PN}-1.4.7-patchset-1.tar.xz"
+SLOT="0"
+LICENSE="BSD"
+KEYWORDS="~amd64 ~ppc ~x86 ~amd64-linux ~x86-linux"
+IUSE="doc test static-libs"
+
+RDEPEND="
+ dev-lang/tk:=
+ >=dev-tcltk/tcllib-1.11
+ media-libs/tiff:0=
+ >=media-libs/libpng-1.6:0=
+ >=sys-libs/zlib-1.2.7:=
+ x11-libs/libX11
+ virtual/jpeg:="
+DEPEND="${RDEPEND}
+ test? (
+ x11-apps/xhost
+ media-fonts/font-misc-misc
+ media-fonts/font-cursor-misc )"
+
+# Fails tests
+RESTRICT="test"
+
+S="${WORKDIR}/Img-${PV}"
+
+PATCHES=(
+ "${WORKDIR}"/${PN}-1.4.7-tclconfig.patch
+ "${WORKDIR}"/${PN}-1.4.7-jpeg.patch
+ "${WORKDIR}"/${PN}-1.4.7-zlib.patch
+ "${WORKDIR}"/${PN}-1.4.7-png.patch
+ "${WORKDIR}"/${PN}-1.4.7-tiff.patch
+ "${FILESDIR}"/${PN}-1.4-jpeg-9.patch
+)
+
+src_prepare() {
+ edos2unix \
+ libjpeg/jpegtclDecls.h \
+ libjpeg/Makefile.in \
+ zlib/Makefile.in \
+ zlib/zlibtcl.decls \
+ zlib/zlibtclDecls.h \
+ libpng/Makefile.in \
+ libpng/pngtclDecls.h \
+ libtiff/Makefile.in \
+ libtiff/tifftclDecls.h \
+ libtiff/tifftclStubInit.c \
+ tiff/tiff.c \
+ jpeg/jpeg.c
+ default
+ find . -name configure -delete
+
+ find compat/{libjpeg,libpng,zlib,libtiff} -delete
+
+ eautoreconf
+ for dir in zlib libpng libtiff libjpeg base bmp gif ico jpeg pcx pixmap png\
+ ppm ps sgi sun tga tiff window xbm xpm dted raw flir ; do
+ (cd $dir; eautoreconf)
+ done
+
+ eprefixify */*.h
+ tc-export AR
+}
+
+src_install() {
+ local l bl
+
+ emake \
+ DESTDIR="${D}" \
+ INSTALL_ROOT="${D}" \
+ install
+
+ if ! use static-libs; then
+ find "${ED}"/usr/$(get_libdir)/ -type f -name "*\.a" -delete || die
+ fi
+
+ # Make library links
+ for l in "${ED}"/usr/lib*/Img*/*tcl*.so; do
+ bl=$(basename $l)
+ dosym Img1.4/${bl} /usr/$(get_libdir)/${bl}
+ done
+
+ dodoc ChangeLog README Reorganization.Notes.txt changes ANNOUNCE
+
+ if use doc; then
+ insinto /usr/share/doc/${PF}
+ doins demo.tcl
+ insinto /usr/share/doc/${PF}/html
+ doins -r doc/*
+ fi
+}
next reply other threads:[~2019-12-14 21:54 UTC|newest]
Thread overview: 35+ messages / expand[flat|nested] mbox.gz Atom feed top
2019-12-14 21:54 Alfredo Tupone [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-02-08 10:16 [gentoo-commits] repo/gentoo:master commit in: dev-tcltk/tkimg/ Arthur Zamarin
2024-11-03 13:31 Michał Górny
2024-03-07 21:44 Alfredo Tupone
2024-03-03 10:33 Jakov Smolić
2024-03-03 2:32 Sam James
2024-03-02 22:07 Sam James
2024-02-27 13:05 Alfredo Tupone
2024-02-27 9:29 Alfredo Tupone
2024-02-26 21:28 Sam James
2023-06-04 16:05 Arthur Zamarin
2023-03-12 8:06 Alfredo Tupone
2023-01-17 20:12 Alfredo Tupone
2023-01-07 5:16 Alfredo Tupone
2023-01-06 19:15 Alfredo Tupone
2023-01-06 8:55 Alfredo Tupone
2022-12-06 15:18 Arthur Zamarin
2022-12-02 12:16 Arthur Zamarin
2022-11-23 5:28 Arthur Zamarin
2022-05-16 18:57 Alfredo Tupone
2021-09-18 16:51 Alfredo Tupone
2021-01-23 12:37 Alfredo Tupone
2021-01-22 18:24 Alfredo Tupone
2021-01-21 22:03 Alfredo Tupone
2021-01-18 11:36 David Seifert
2021-01-07 11:36 Sam James
2021-01-06 11:32 Alfredo Tupone
2020-02-02 20:42 Alfredo Tupone
2019-12-28 19:37 Alfredo Tupone
2019-12-15 20:11 Alfredo Tupone
2019-12-15 18:03 Agostino Sarubbo
2019-12-15 14:07 Agostino Sarubbo
2019-12-15 14:02 Agostino Sarubbo
2015-11-27 8:25 Justin Lecher
2015-11-27 8:25 Justin Lecher
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1576360467.872f7207c94766b47f154865b623cd6d917981cc.tupone@gentoo \
--to=tupone@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox